-- using an easings library properly this time

local e = include("easing")

function main()
  -- test out custom
  current_sprite.custom.time = 0

  while current_sprite.x < 550 do
    dink.wait(10)
    -- math floor so it gets an int
    current_sprite.x = math.floor(e.outBounce(current_sprite.custom.time, 1, 550, 100) + 0.5)
    current_sprite.custom.time = current_sprite.custom.time + 1
  end

  current_sprite.x = 100
  t = 0
  main()
end

function talk()
  current_sprite:say("hi")
  main()
end

function hit()
  current_sprite:say("meanie")
end